#  Licensed Materials - Property of IBM
#  5724-M24
#  Copyright IBM Corporation 2007, 2008. All Rights Reserved.
#  US Government Users Restricted Rights- Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.
from java.lang import System
from java.io   import File
from java.text import SimpleDateFormat
from java.util import Date

#imports forlogger

from com.ibm.wbmonitor.install.common.log import LogFactory
from com.ibm.wbmonitor.install.common.log import ILogger
from com.ibm.wbmonitor.install.common.log import LogConstants



class WBMLogger:

  log = 0
  name = ""

  def create(self,wasHome):
    date = Date()
    f = SimpleDateFormat("yy.MM.dd_HH.mm.ss.SSS")
    logDir = wasHome + File.separator + "logs"
    logName = "wbm_" + f.format(date) + "_cleanup_out.log"
    WBMLogger.log = LogFactory.createLogger(LogConstants.WBM_INSTALL_GROUP_NAME,
      LogConstants.INSTALLER, logDir, logName)
    WBMLogger.name = logDir + File.separator + logName

    

  
  
